#What is WebDataRocks
WebDataRocks is a free web reporting tool for data analysis and visualization.

It is written in JavaScript and is not constrained by any external framework. This simple but enterprise-featured web-based pivot grid can be added to your website, application or project web page within minutes.

##What it does
WebDataRocks easily displays your CSV or JSON data in an interactive pivot table, offers a number of data analysis features and provides reporting experience. You get the real-time reporting of your data on any device you prefer (PC, tablet, mobile etc.).

##Who can use WebDataRocks
Our reporting tool would be a perfect fit if you:

- Want to analyze data quickly
- Looking for online reporting tool
- Need lightweight web pivot table
- Don’t know how to code or don’t want to

##Why it’s cool
- WebDataRocks easily embeds in your web page not requiring much programming skills
- You can save your time expenses on integration as it’s already configured and ready to use
- Our tool has enterprise features for real business, despite it’s costless
- It’s a powerful analytic tool with well-designed ready-to-use modern UI

The main benefit is that WebDataRocks is an **absolutely free tool** created by passionate data lovers from [Flexmonster](https://flexmonster.com).

# Installation and usage
Start by installing WebDataRocks as a node module and save it as a dependency in your package.json:
```
npm i webdatarocks --save
```

Then, include the CSS and JS files (for example, in the `.html`):
```html
<link href="node_modules/webdatarocks/webdatarocks.min.css" rel="stylesheet"/>
<script src="node_modules/webdatarocks/webdatarocks.toolbar.min.js"></script>
<script src="node_modules/webdatarocks/webdatarocks.js"></script>
```

Now, you can create an instance of Pivot Table:
```html
<div id="wdr-component">The component will appear here</div>
<script>
	var pivot = new WebDataRocks({
		container: "#wdr-component",
		toolbar: true,
		report: {
			dataSource: {
				filename: "https://cdn.webdatarocks.com/data/data.csv"
			}
		}
	});
</script>
```
Refer to the [Quick Start](https://www.webdatarocks.com/doc/how-to-start-online-reporting/) guide for more details.

# Supported data formats

- CSV (comma-separated values)
- JSON (JavaScript object notation)

# Features

WebDataRocks provides Excel-like features which give users the interface they have always been used to. The users can easily and quickly analyze data and produce a report using different options such as:
- Filtering
- Sorting
- Grouping fields in rows and columns
- Drill-down
- Drill-through
- Calculated fields
- Number formatting
- Aggregations
- Conditional formatting

# Language localization
  
WebDataRocks pivot table can easily be translated into different languages. 
First of all, if you use one of the offered languages below, you can download the already prepared JSON files:
- [English](https://cdn.webdatarocks.com/loc/en.json)
- [Español](https://cdn.webdatarocks.com/loc/es.json)

[Set localization for Pivot Table](https://www.webdatarocks.com/doc/language-localization/).

## Export & print

All table views (Pivot / Flat / Classic) and charts view can be printed or exported.
Users can export the reports into a variety of formats:
- PDF
- Microsoft Excel
- HTML page

# Resources
- [Live demo](https://www.webdatarocks.com/demos/javascript-pivot-table-demo/)
- [Documentation](https://www.webdatarocks.com/doc/)
- [Forum](https://www.webdatarocks.com/forum/)
- [Blog](https://www.webdatarocks.com/blog/)